<?php

namespace App\Entities;

use CodeIgniter\Entity\Entity;

abstract class BaseEntity extends Entity
{
    abstract public function getTitle(): string;
    final public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    //조화수관련 Field전용
    final public function getViews($field = 'view_cnt')
    {
        return $this->attributes[$field];
    }
}
